class AccountTitle < ActiveRecord::Base
  @@addable_cache = nil
  
  # 追加可能な科目一覧を得る
  def self.addable()
    if !@@addable_cache
      @@addable_cache = find :all,
                 :conditions => 'purchase_active <> 0 AND account_code <= 999', # 決め打ち
                 :order => 'account_code'
    end
    return @@addable_cache 
  end
  
  def name2
    return "#{account_code} #{name}"
  end
  
  # 勘定科目に対応する未払金科目を返す
  def get_payable_code
    account_code >= 701 && account_code <= 799 ? 305 : 321  # TODO:fixme
  end
  
  # 仕訳での消費税コード
  def get_real_vat_code(vat_or_zero)
    if vat_or_zero.to_i != 0
      vat_or_zero
    else
      if vat_code != 0
        vat_code
      else
        10 # TODO:決め打ち
      end
    end
  end
end
